import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

@SuppressWarnings("unused")
public class Tiempo extends Thread {
	
	//Parar cronometro
	boolean Salir=false;
	
	//Contador de segundos
	int seg=0;
	int minutos=0;
	int hora=0;
	
	Tiempo ()
	{
		
	}
	
//metodo run, obligatorio en el thread	
	public void run()	
	{
		while(!Salir){
			try
			{
				//Retardar 1000 milisegundos
				sleep(1000);
				seg++;
				if(seg<10 & minutos<10)
					ZorraGansos.lTiempo.setText("Tiempo : 0"+hora+"  : 0"+minutos +"  : 0"+seg);
				else
					if(seg<10)
						ZorraGansos.lTiempo.setText("Tiempo : 0"+hora+"  : "+minutos +"  : 0"+seg);
					else	
						if(minutos<10)
							ZorraGansos.lTiempo.setText("Tiempo : 0"+hora+"  : 0"+minutos +"  : "+seg);
						else	
							ZorraGansos.lTiempo.setText("Tiempo : 0"+hora+"  : "+minutos +"  : "+seg);
				
				if(seg==60)
				{
					seg=0;
					minutos++;	
				}
			
				if(minutos==60)
				{
					seg=0;
					minutos=0;	
					hora++;
				}
			}
			catch(InterruptedException ie)
			{
				System.out.println(ie);
			}
		}
	}
	
//este metodo reninicia el cronometro
	public void parar(boolean b)
	{	if(b)Salir=true;
		seg=0;
	}


}
